namespace ChuPiao.Common.Enums
{
    /// <summary>
    /// 错误编码
    /// </summary>
    public enum ErrorStatus
    {
        /// <summary>
        /// 成功
        /// </summary>
        [EnumDescription("成功！")]
        Suc=0,
        /// <summary>
        /// 广天地接口返回错误
        /// </summary>
        [EnumDescription("广天地接口返回错误！")]
        GtdPackError,
        /// <summary>
        /// 投注号码格式错误
        /// </summary>
        [EnumDescription("投注号码格式错误！")]
        CodeError,
        /// <summary>
        /// 投注金额错误
        /// </summary>
        [EnumDescription("投注金额错误！")]
        MoneyError,
        /// <summary>
        /// 超过允许投注的最大倍数
        /// </summary>
        [EnumDescription("超过允许投注的最大倍数99倍！")]
        CodeMultipleLimit,
        /// <summary>
        /// 超过允许投注的最大金额
        /// </summary>
        [EnumDescription("超过允许投注的最大金额20000元！")]
        CodeMoneyLimit,
        /// <summary>
        /// 竞足比分玩法超过允许投注的最大选择数
        /// </summary>
        [EnumDescription("竞足比分玩法超过允许投注的最大选择数80！")]
        ChoiceNumLimit,
        /// <summary>
        /// 限号
        /// </summary>
        [EnumDescription("限号！")]
        CodeLimit,
        /// <summary>
        /// 幸运赛车最后一期不接受过二关投注
        /// </summary>
        [EnumDescription("幸运赛车最后一期不接受过二关投注！")]
        G2gLimit,
        /// <summary>
        /// 幸运赛车最后两期不接受过三关投注
        /// </summary>
        [EnumDescription("幸运赛车最后两期不接受过三关投注！")]
        G3gLimit,
        /// <summary>
        /// 打印号码不匹配
        /// </summary>
        [EnumDescription("打印号码不匹配！")]
        PrintCodeNoMatch,
        /// <summary>
        /// 打印金额不匹配
        /// </summary>
        [EnumDescription("打印金额不匹配！")]
        PrintMoneyNoMatch,
        /// <summary>
        /// 打印倍数不匹配
        /// </summary>
        [EnumDescription("打印倍数不匹配！")]
        PrintMultipleNoMatch,
        /// <summary>
        /// 打印期号不匹配
        /// </summary>
        [EnumDescription("打印期号不匹配！")]
        PrintExpectNoMatch,
        /// <summary>
        /// 打印玩法不匹配
        /// </summary>
        [EnumDescription("打印玩法不匹配！")]
        PrintPlayNoMatch,
        /// <summary>
        /// 未知错误
        /// </summary>
        [EnumDescription("未知错误")]
        UnknownErr
    }
}
